package com.czg.account.service;


import com.czg.account.dto.SysLoginDTO;
import com.czg.account.vo.LoginVO;

/**
 * @author Administrator
 */
public interface AuthorizationService {
    Object getCaptcha();

    LoginVO login(SysLoginDTO loginDTO, String platformType);

    /**
     * 切换登录用户
     * @param sysUserId 系统用户id
     */
    void switchTo(Long sysUserId);
}
